org.apache.jmeter.visualizers.backend

## Enum WindowMode

- java.lang.Object
- - java.lang.Enum<WindowMode>
  - - org.apache.jmeter.visualizers.backend.WindowMode

All Implemented Interfaces:
  Serializable, Comparable<WindowMode>

    public enum WindowMode
    extends Enum<WindowMode>

Metrics are sent into boxes which can be `a fixed-size sliding window` or `time boxed`.

Since:
  3.2

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FIXED` Fixed-size sliding window.
`TIMED` Time boxed.

### Method Summary

All Methods Static Methods Concrete Methods
`static WindowMode` `get()` Gets defined JMeter mode.
`static WindowMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WindowMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIXED

    public static final WindowMode FIXED

Fixed-size sliding window.

#### TIMED

    public static final WindowMode TIMED

Time boxed.

### Method Detail

#### values

    public static WindowMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WindowMode c : WindowMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WindowMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static WindowMode get()

Gets defined JMeter mode.

Returns:
  the defined window mode